{{- partialCached "elements/skip-links.html" . . -}}

<header id="header" class="header-main grid grid-layout-header m-0 p-0 fixed z-30 w-full top-0 border-b bg-white print:absolute">

		<a href="{{ .Site.Home.Permalink }}" class="logo flex items-center ml-2 text-mitigate" title="{{ $.Scratch.Get "title" }} – retour à l’accueil">
			{{ $logo := resources.Get "/media/logo.svg" }}
			{{ with $logo }}
			<img src="{{ .RelPermalink }}" width="48" height="48" alt="" class="logo-image flex-unset align-center mr-1">
			{{ end }}
			<span class="logo-title">{{ $.Scratch.Get "title" }}</span>
		</a>

		<form name="search" id="search" role="search" class="relative flex items-center print:hidden" onSubmit="submitSearch(event)">
			<label class="sr-only" for="search-input">Rechercher</label>
			<input type="search" name="search-input" id="search-input" placeholder="Rechercher" class="rounded bg-white truncate">
		</form>
		{{- partial "search/search-result.html" . -}}

    {{- if ($.Scratch.Get "isMenuMain") -}}
		<button
			id="nav-btn"
			:aria-expanded="isOpen"
			aria-controls="sidebar"
			@click="isOpen = !isOpen"
			class="nav-button h-12 w-12 rounded grid-center lg:hidden text-mitigate hover:text-mitigate bg-white print:hidden"
			:class="{ 'outline' : isOpen }"
		>
			<svg class="bg-white fill-current h-4 w-4" x-show="!isOpen" viewBox="0 0 20 20" width="20" height="20" xmlns="http://www.w3.org/2000/svg">
				<title>Ouvrir le menu</title>
				<path d="M0 3h20v2H0V3z m0 6h20v2H0V9z m0 6h20v2H0V0z" />
			</svg>
			<svg class="bg-white fill-current h-4 w-4 opacity-0" :class="{ 'opacity-0': !isOpen }" x-show="isOpen" viewBox="0 0 20 20" width="20" height="20" xmlns="http://www.w3.org/2000/svg">
				<title>Fermer le menu</title>
				<polygon points="11 9 22 9 22 11 11 11 11 22 9 22 9 11 -2 11 -2 9 9 9 9 -2 11 -2"
					transform="rotate(45 10 10)" />
			</svg>
		</button>
    {{- end -}}

</header>
